Name: exim-conf-milab
Summary: exim config for Machine Intelligence Laboratory
Version: 1.0
Release: 1
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@eng.cam.ac.uk>
Requires: exim
Url: http://mi.eng.cam.ac.uk/
BuildArch:	noarch
Distribution: MILAB

%description
Exim configuration for Machine Intelligence Lab

%prep

%setup -q

%build

%install
cp -r etc var $RPM_BUILD_ROOT

%clean

%files 
%defattr(444,root,root)
%config /etc/exim/exim.conf
%config /etc/exim/sysadmin.alias
%config /etc/exim/sysadmin.unames
%attr(644,root,root) /etc/exim/exim.conf
%attr(644,root,root) /etc/exim/sysadmin.alias
%attr(644,root,root) /etc/exim/sysadmin.unames
%attr(700,mailuser,man) /var/spool/mqueue/
%attr(700,mailuser,man) /var/spool/mqueue/log/
%attr(700,mailuser,man) /var/spool/mqueue/input/

%post
cat<<EOF > /etc/logrotate.d/exim
/var/log/exim/main.log {
	compress
	dateext
	notifempty
	create 640 mail mail
	rotate 99
	weekly
	#maxage 365
	prerotate
		cd /var/log/exim
		# report=weekly_report-`date +%Y%m%d`
		# touch $report; chmod 640 $report; chown :mail $report
		# eximstats main.log > $report
		# if ! test -e no_report_mail; then mail -s "$(sed -n '2{p;q;}' < $report) ($(hostname))" postmaster < $report; fi
		# if test -f $report.gz; then old $report.gz; fi
		# gzip -f -9 $report
	endscript
	postrotate
		/etc/init.d/exim reload
	endscript
}

/var/log/exim/reject.log {
	compress
	dateext
	notifempty
	create 640 mail mail
	rotate 99
	size 4M
	#maxage 365
	postrotate
		/etc/init.d/exim reload
	endscript
}

/var/log/exim/panic.log {
	compress
	dateext
	notifempty
	create 640 mail mail
	rotate 99
	size 1M
	#maxage 365
	postrotate
		/etc/init.d/exim reload
	endscript
}


EOF

%changelog
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
